petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecNestGetSubVecs

Returns the entire array of vectors defining a nest vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNestGetSubVecs(Vec X,PetscInt *N,Vec **sx)

Not collective

### Input Parameters

X -nest vector

### Output Parameter

| N | - number of nested vecs
| sx | - array of vectors

### Notes

The user should not free the array sx.

### Fortran Notes

The caller must allocate the array to hold the subvectors.

.seealso: VecNestGetSize(), VecNestGetSubVec()

### Level

developer

### Location

src/vec/vec/impls/nest/vecnest.c

### Implementations

VecNestGetSubVecs_Private in src/vec/vec/impls/nest/vecnest.c
VecNestGetSubVecs_Nest in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages